For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Address Profile

This API endpoint allows users to easily track which platforms an address has interacted with, such as exchanges, mixers, DeFi protocols, and NFT platforms. It also identifies any associated malicious events and provides additional information about the address, including used wallets, ENS names, and linked Twitter profiles.

HTTP Request

GET https://openapi.misttrack.io/v1/address_trace
   ?coin=ETH
   &address=0xb3065fe2125c413e973829108f23e872e1db9a6b
   &api_key=YourApiKey

Try this endpoint in your browser 🔗

Query Parameters

Parameter
Type
Description

coin

string

the coin to check for address profile, all optional values can be found here

address

string

the address to check

api_key

string

your api key

Response Data Parameters

Parameter
Type
Description

first_address

string

The source wallet address of the gas fee, or the label of the source address.

use_platform

dict

Includes four fields: exchange, dex, mixer, nft.

malicious_event

dict

Includes four fields: phishing, ransom, stealing, laundering.

relation_info

dict

Includes three fields: wallet, ens, twitter.

Sample Response

{
    "success": true, 
    "msg": "", 
    "data": {
        "first_address": "sideshift.ai", 
        "use_platform": {
            "exchange": {
                "count": 1, 
                "exchange_list": [
                    "Binance"
                ]
            }, 
            "dex": {
                "count": 3, 
                "dex_list": [
                    "Uniswap", 
                    "SushiSwap", 
                    "Multichain"
                ]
            }, 
            "mixer": {
                "count": 2, 
                "mixer_list": [
                    "Tornado.Cash", 
                    "sideshift.ai"
                ]
            }, 
            "nft": {
                "count": 0, 
                "nft_list": [ ]
            }
        }, 
        "malicious_event": {
            "phishing": {
                "count": 0, 
                "phishing_list": [ ]
            }, 
            "ransom": {
                "count": 0, 
                "ransom_list": [ ]
            }, 
            "stealing": {
                "count": 5, 
                "stealing_list": [
                    "MMFinance Exploiter"
                ]
            }, 
            "laundering": {
                "count": 0, 
                "laundering_list": [ ]
            }
        }, 
        "relation_info": {
            "wallet": {
                "count": 0, 
                "wallet_list": [ ]
            }, 
            "ens": {
                "count": 2, 
                "ens_list": [
                    "destruction.eth", 
                    "poma.eth"
                ]
            }, 
            "twitter": {
                "count": 1, 
                "twitter_list": [
                    " @destructioneth"
                ]
            }
        }
    }
}

Rate Limits

Last updated